Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(50)

Unified Diff: third_party/pkg/di/test_tf_gen.sh

Issue 107003007: Adding Angular's DI package & Dart unittests which test it. (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 7 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/pkg/di/test_tf_gen.sh
diff --git a/third_party/pkg/di/test_tf_gen.sh b/third_party/pkg/di/test_tf_gen.sh
new file mode 100755
index 0000000000000000000000000000000000000000..b353e6f71fdeddba3d74e1b7c6f823728ece20bb
--- /dev/null
+++ b/third_party/pkg/di/test_tf_gen.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# Runs type factories generator for test files.
+
+if [ -z "$DART_SDK" ]; then
+ echo "ERROR: You need to set the DART_SDK environment variable to your dart sdk location"
+ exit 1
+fi
+
+set -v
+
+dart bin/generator.dart $DART_SDK test/main.dart di.tests.Injectable test/type_factories_gen.dart packages/
+

Powered by Google App Engine
This is Rietveld 408576698